.\"
.\"	$NetBSD: mdconfig.8,v 1.8 2002/01/19 03:27:06 wiz Exp $
.\"
.\" Copyright (c) 1995 Gordon W. Ross
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd July 8, 1993
.Dt MDCONFIG 8
.Os
.Sh NAME
.Nm mdconfig
.Nd configure MEMORY disks
.Sh SYNOPSIS
.Nm
.Ar special_file
.Ar 512-byte-blocks
.Sh DESCRIPTION
The
.Nm
command configures memory disk devices.
It will associate the special file
.Ar special_file
with a range of user-virtual memory allocated by the
.Nm
process itself.  The
.Nm
command should be run in the background.
If successful, the command will not return.
Otherwise, an error message will be printed.
.Pp
To "unconfigure" the memory disk, just kill the background
.Nm
process started earlier.
.Sh FILES
.Bl -tag -width /etc/rmd?? -compact
.It Pa /dev/rmd??
.It Pa /dev/md??
.El
.Sh EXAMPLES
.Dl mdconfig /dev/md0c 2048 \*[Am]
.Pp
Configures the memory disk
.Pa md0c
with one megabyte of user-space memory.
.Sh SEE ALSO
.Xr mount 8 ,
.Xr swapon 8 ,
.Xr umount 8
.Sh BUGS
The special device will become inoperative if the
.Nm
process is killed while the special device is open.
